文档首页 > > 常见问题> 通用型问题> PostgreSQL数据库的迁移支持哪些插件迁移

PostgreSQL数据库的迁移支持哪些插件迁移

分享
更新时间: 2019/09/12 GMT+08:00

目前DRS支持将白名单内的插件进行迁移,白名单以外的插件,由于未经测试,存在安全风险,暂不支持迁移。

如果您的插件希望华为RDS for PostgreSQL数据库预支持,请联系技术人员代为提需求给RDS for PostgeSQL内核团队进行处理。

现阶段支持迁移的插件信息请参见表1

表1 插件信息

插件名称

描述

postgis

创建postgis时,会同步创建以下插件:

postgis

postgis_topology

fuzzystrmatch

postgis_tiger_geocoder

address_standardizer

address_standardizer_data_us

btree_gin

-

btree_gist

-

hstore

-

pg_trgm

-

tablefunc

-

unaccent

-

uuid-ossp

-

cube

-

dict_int

-

dict_xsyn

-

earthdistance

-

intagg

-

intarray

-

ltree

-

pgcrypto

-

timescaledb

timescaledb插件不支持9.5.5版本的PostgreSQL。

hll

-

zhparser

该插件只提供默认词典,不支持用户自定义词典,参数默认值设置如下:

zhparser.punctuation_ignore = off

zhparser.punctuation_ignore = off

zhparser.multi_short = off

zhparser.multi_duality = off

zhparser.multi_zmain = off

zhparser.multi_zall = off

zhparser.dict_in_memory = off

oracle_fdw,

仅支持PostgreSQL 10.3连接到Oracle Database 12c或之前的版本。

pg_pathman

-

pg_stat_statements

-

pg_hint_plan

-

pg_jieba

-

分享:

文档是否有解决您的问题?

提交成功!

非常感谢您的反馈,我们会继续努力做到更好!

反馈提交失败,请稍后再试!

*必选

请至少选择或填写一项反馈信息

字符长度不能超过200

提交反馈 取消

如您有其它疑问,您也可以通过华为云社区问答频道来与我们联系探讨

跳转到云社区